# org.pdfclown.documents.multimedia.Rendition Class Reference

Rendition [PDF:1.7:9.1.2]. More...

Inheritance diagram for org.pdfclown.documents.multimedia.Rendition:

List of all members.

## Classes
class | Viability
| Rendition viability [PDF:1.7:9.1.2]. More...
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Rendition | Wrap (PdfDirectObject baseObject)
| Wraps a rendition base object into a rendition object.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
| Rendition (PdfDirectObject baseObject)
| Rendition (Document context, PdfName subtype)
override PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
PdfDirectObject | BaseObject`[get]`
| Gets the underlying reference object, if available; otherwise, gets the underlying data object.
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
PdfString | Name`[get]`
| Gets the object name.
PdfDirectObject | NamedBaseObject`[get]`
| Gets the object name, if available; otherwise, behaves like BaseObject.
Viability | Preferences`[get, set]`
| Gets/Sets the preferred options the renderer should attempt to honor without affecting its viability [PDF:1.7:9.1.1].
Viability | Requirements`[get, set]`
| Gets/Sets the minimum requirements the renderer must honor in order to be considered viable [PDF:1.7:9.1.1].

##

Rendition [PDF:1.7:9.1.2].

## Constructor & Destructor Documentation

org.pdfclown.documents.multimedia.Rendition.Rendition | ( | Document | context,
|  | PdfName | subtype |
| ) |  |  | `[protected]`

org.pdfclown.documents.multimedia.Rendition.Rendition | ( | PdfDirectObject | baseObject | ) | `[protected]`

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

override PdfString org.pdfclown.documents.multimedia.Rendition.RetrieveName | ( |  | ) | `[protected, virtual]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented from org.pdfclown.objects.PdfObjectWrapper< PdfDictionary >.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static Rendition org.pdfclown.documents.multimedia.Rendition.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

Wraps a rendition base object into a rendition object.

Parameters:

  | baseObject | Rendition base object.

Returns:
  Rendition object associated to the base object.

References org.pdfclown.objects.PdfObject.Resolve().

## Property Documentation

PdfDirectObject org.pdfclown.objects.IPdfObjectWrapper.BaseObject`[get, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Implemented in org.pdfclown.objects.PdfObjectWrapper.

Referenced by org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Add(), and org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Insert().

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

PdfString org.pdfclown.documents.multimedia.Rendition.Name`[get]`

Gets the object name.

As names are tipically loosely-coupled with their corresponding PDF objects, name retrieval implies a costly reverse lookup into the document's name tree.

Implements org.pdfclown.objects.IPdfNamedObjectWrapper.

PdfDirectObject org.pdfclown.documents.multimedia.Rendition.NamedBaseObject`[get]`

Gets the object name, if available; otherwise, behaves like BaseObject.

Implements org.pdfclown.objects.IPdfNamedObjectWrapper.

Viability org.pdfclown.documents.multimedia.Rendition.Preferences`[get, set]`

Gets/Sets the preferred options the renderer should attempt to honor without affecting its viability [PDF:1.7:9.1.1].

Viability org.pdfclown.documents.multimedia.Rendition.Requirements`[get, set]`

Gets/Sets the minimum requirements the renderer must honor in order to be considered viable [PDF:1.7:9.1.1].

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.